aviplay(1)

NAME
aviplay - QT-based movie player

SYNOPSIS
aviplay [options] [ files | URLs ]

DESCRIPTION
aviplay is a QT-based player for various avi, asf, mpeg4 movie files. Avifile project creates library that allows programs to read and write compressed AVI/ASF files (Indeo Video, DivX :-), etc.) under Unix OS. (De)compression is performed with various plugins (included Win32 DLLs for x86_32 OS) if native codec is not available. Win32 libraries have to be downloaded separately. Primarily the ffmpeg project is used for codecs and also for stream parsing. Over the time it's possible the project will mostly blend into ffmpeg.

FEATURES

* low CPU usage (movies playable even P200MMX)

* smooth video (using threads and frame precaching)

* supports streamed .asf files

* audio resampling suppport

* modular design

OPTIONS
-h --help Show help message

-c --codec [help]
    Set codec options (use help to see options for this parameter)

-s --size <width:height>
    Start playing movie at dimensions X * Y.

-f --fullscreen
    Start playing movie in fullscreen.

-f --maximize
    Start playing movie in maximized mode (i.e. preserve current resolution).

--seek <position>
    Seek to given position in movie.

-sub --subtitle <filename>
    Use give file as the source for subtitles.

-subcp --subtitle_codepage <codepage>
    Select codepage for subtitles. They are internaly encoded into UTF-8. See iconv(3) for available codepages. Codepage "default" means current default encoding in system. Example of codepages: CP1250, ISO8859-2, default.

-subfont --subtitle_font <fontname>
    Select font for subtitles. At this moment only X11 fonts are supported (either in traditional "-misc-*" or TTF notation)

-ac --audio-codec <codecname>
    Prefered codec to be used for movie audio decoding. Use with "help" to see available audio codecs.

-vc --video-codec <codecname>
    Prefered codec to be used for movie video decoding. Use with "help" to see available video codecs.

--rc
    Enables remote control (stdin|stdout).

SHELL variables:
WIN32_PATH
    - can be used to override library path /usr/lib/win32 which holds MS Windows binary dll codecs.

    AVIPLUGIN_PATH - can be used to override library path /usr/lib/avifile which holds avifile plugins.

    AVIPLAY_MUTE_AUDIO - if set shows just video track

    AVIPLAY_MUTE_VIDEO - if set plays just audio track

    AVIPLAY_NOSYNC - do not synchronize audio and video track

    HTTP_PROXY

    WRITE_ASF - write asf file received over the network to file (/tmp/*.asf)

NOTE
Press the About button in aviplay's GUI for more details about the usage and configuation.

Aviplay automaticaly searches for subtitle file with the same name as the original ".avi" file but with .sub, .SUB, .srt, .SRT, .txt, .TXT, .smi, .SMI suffix.

For Debian users: After the discussion with the autor I have came to the conclusion that GSM codec is legaly distributed under GPL terms since this piece of code was donated to the project by the original author which was using it in the non-GPL project xanim.

SEE ALSO
http://avifile.sourceforge.net for the original source and main CVS archive for binary codecs.

http://mplayerhq.hu for mplayer - an excelent player with more options and supported formats

AUTHORS

Original author: Eugene Kuznetsov <divx@euro.ru>

Current developer: Zdenek Kabelac <kabi@users.sourceforge.net>